gcc-10 (10.5.0-4ubuntu2.1) noble; urgency=medium

  * Move allocator base to avoid conflict with high-entropy ASLR for x86-64
    Linux. Patch taken from LLVM. Fixes ftbfs. (LP: #2107313)
    - d/p/lp2107313-asan-allocator-base.diff
  * d/p/pr118976.diff: Fix memory corruption when executing 256-bit
    Scalable Vector Extensions code on 128-bit CPUs (LP: #2101084).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 12 Jan 2026 15:39:59 +1300

gcc-10 (10.5.0-4ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:01:47 +0000

gcc-10 (10.5.0-4ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Mar 2024 10:24:14 +0100

gcc-10 (10.5.0-4) unstable; urgency=medium

  * d/p/gcc-distro-defaults: Make -fstack-protector-explicit known.
  * Fix ftbfs on AArch64 in previous upload.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Mar 2024 10:20:51 +0100

gcc-10 (10.5.0-3) unstable; urgency=medium

  * Address stack protector and stack clash protection weaknesses
    on AArch64. CVE-2023-4039. Taken from the gcc-11 branch.
  * Fix more lintian warnings.
  * For Ubuntu, only define _FORTIFY_SOURCE, if there are no options
    -U_FORTIFY_SOURCE or -D_FORTIFY_SOURCE=N given.
  * Don't run the tests with -fstack-protector/-fno-stack-protector on slower
    architectures.

 -- Matthias Klose <doko@debian.org>  Sun, 04 Feb 2024 09:54:21 +0100

gcc-10 (10.5.0-2) unstable; urgency=medium

  * libgccjit-10-doc: Relax dependency on the gcc-10-base package.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Jul 2023 13:34:53 +0200

gcc-10 (10.5.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Jul 2023 10:36:53 +0200

gcc-10 (10.5.0-1) unstable; urgency=medium

  * Update to the GCC 10.5.0 release.
    - Fix PR c++/92752, PR c++/97420, PR d/110511.
  * Update newlib to 4.3.0.
  * Refresh patches.
  * Fix libtsan0 build (when building the libs built by newer GCC versions).
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.org>  Fri, 07 Jul 2023 09:39:38 +0200

gcc-10 (10.4.0-9) unstable; urgency=medium

  * Update to git 20230629 from the gcc-10 branch.
    - Fix PR target/109932 (PPC), PR target/110011 (PPC),
      PR target/110044 (PPC), PR target/109954, PR target/70243 (PPC),
      PR d/110359, PR fortran/96024, PR libstdc++/108118, PR libstdc++/94540,
      PR libstdc++/106607, PR libstdc++/102447, PR libstdc++/103664,
      PR libstdc++/84110.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Jun 2023 12:44:57 +0200

gcc-10 (10.4.0-8ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 May 2023 11:20:20 +0200

gcc-10 (10.4.0-8) unstable; urgency=medium

  * Update to git 20230510 from the gcc-10 branch.
    - Fix PR target/106736 (PPC), PR fortran/108131,
      PR tree-optimization/109778, PR tree-optimization/109410,
      PR middle-end/106190, PR ipa/105685, PR target/105554,
      PR middle-end/108685, PR testsuite/108973, PR middle-end/108854,
      PR target/108881 (x86), PR tree-optimization/108688,
      PR middle-end/108435, PR debug/108573, PR rtl-optimization/108596,
      PR other/108560, PR middle-end/108237, PR tree-optimization/108068,
      PR rtl-optimization/108193, PR rtl-optimization/106751,
      PR tree-optimization/107997, PR debug/106719, PR middle-end/107317,
      PR target/107748 (x86), PR target/107183 (x86), PR c/107001,
      PR debug/106261, PR middle-end/106144, PR rtl-optimization/106032,
      PR middle-end/106030, PR target/108589 (AArch64),
      PR target/108699 (PPC), PR target/104921 (AArch64),
      PR target/108348 (PPC), PR target/108272 (PPC),
      PR tree-optimization/107554, PR tree-optimization/107323,
      PR tree-optimization/107107, PR tree-optimization/106934,
      PR driver/106624, PR c/109151, PR c/107465, PR c/107465, PR c++/107163,
      PR c++/107358, PR c/106981, PR preprocessor/97498, PR c++/109164,
      PR c++/109096, PR c++/107558, PR debug/108716, PR c++/108474,
      PR c++/108365, PR c++/108607, PR c++/53932, PR c++/108180,
      PR c++/107065, PR c++/105774, PR c++/105996, PR c++/108975,
      PR c++/69410, PR c++/101869, PR d/108877, PR fortran/108451,
      PR fortran/108349, PR fortran/109511, PR fortran/109186,
      PR fortran/85877, PR fortran/106945, PR fortran/104332,
      PR fortran/108937, PR fortran/96024, PR fortran/96025,
      PR fortran/95107, PR fortran/108609, PR fortran/108527,
      PR fortran/108529, PR fortran/106209, PR fortran/108501,
      PR fortran/108502, PR fortran/108421, PR fortran/108420,
      PR fortran/108453, PR target/100758 (x86), PR target/108339 (RISCV),
      PR c++/108180, PR c/106981, PR libgomp/106045, PR other/109306,
      PR libquadmath/87204, PR libquadmath/94756, PR libstdc++/105844,
      PR libstdc++/105844, PR libstdc++/67791, PR libstdc++/109064,
      PR libstdc++/108952, PR libstdc++/100823, PR libstdc++/107814,
      PR libstdc++/108636.
  * RISC-V: jal cannot refer to a default visibility symbol for shared object,
    taken from the GCC 12 branch.
  * Bump standards version.
  * Fix FTBFS on hurd-i386.

 -- Matthias Klose <doko@debian.org>  Wed, 10 May 2023 10:59:43 +0200

gcc-10 (10.4.0-7ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 21 Feb 2023 07:31:36 +0100

gcc-10 (10.4.0-8) unstable; urgency=medium

  * Update to git 20230110 from the gcc-10 branch.
    - Fix PR target/106736 (PPC), PR fortran/108131.
  * RISC-V: jal cannot refer to a default visibility symbol for shared object,
    taken from the GCC 12 branch.
  * Bump standards version.
  * Fix FTBFS on hurd-i386.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Jan 2023 05:34:13 +0100

gcc-10 (10.4.0-6ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Jan 2023 08:47:50 +0100

gcc-10 (10.4.0-6) unstable; urgency=medium

  * Update to git 20230102 from the gcc-10 branch.
    - Fix PR target/98776 (AArch64), PR target/107863 (x86),
      PR rtl-optimization/107482, PR tree-optimization/107485,
      PR target/107304, PR c/41041, PR target/106355 (S390),
      PR target/107364 (x86), PR target/107336, PR target/96072 (PPC),
      PR target/99685 (PPC), PR lto/106540, PR lto/106334,
      PR tree-optimization/106513, PR middle-end/106331,
      PR tree-optimization/106131, PR tree-optimization/106112,
      PR target/107248 (SPARC), PR target/107064 (x86),
      PR target/106491 (AArch64), PR target/101322 (PPC), PR c++/102780,
      PR c++/108138, PR d/108050, PR d/107592, PR d/106638, PR d/106139,
      PR fortran/107872, PR fortran/107576, PR fortran/103413,
      PR fortran/105633, PR fortran/106817, PR fortran/105012,
      PR fortran/100040, PR fortran/100029, PR fortran/100132,
      PR fortran/107054, PR fortran/82868, PR fortran/106985,
      PR fortran/103694, PR fortran/106986, PR fortran/100245,
      PR fortran/106857.
  * Backport d/patches/pr91085.diff to avoid problem with fixincludes-ed
    sys/mount.h.
  * The fix for PR ada/103538 leads to a build failure on x32 not having
    the dladdr linked in on x32 with older glibc version where this symbol
    is still in libdl.so. Just link with -ldl. Fixes PR ada/107475.
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Jan 2023 16:17:29 +0100

gcc-10 (10.4.0-5ubuntu2) kinetic; urgency=medium

  * Backport d/patches/pr91085.diff to avoid problem with fixincludes-ed
    sys/mount.h.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Sep 2022 00:43:46 +0200

gcc-10 (10.4.0-5ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Sep 2022 16:13:37 +0200

gcc-10 (10.4.0-5) unstable; urgency=medium

  * Update to git 20220905 from the gcc-10 branch.
    - Fix PR target/106017 (PPC), PR target/103353 (PPC),
      PR target/103197 (PPC), PR target/102146 (PPC), PR testsuite/106345,
      PR target/106091 (PPC), PR rtl-optimization/105041,
      PR preprocessor/97498, PR d/106638, PR fortran/103504,
      PR libstdc++/98421, PR libstdc++/100748, PR libstdc++/103133,
      PR libstdc++/106162, PR libstdc++/106320.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 05 Sep 2022 22:00:22 +0200

gcc-10 (10.4.0-4ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jul 2022 11:31:01 +0200

gcc-10 (10.4.0-4) unstable; urgency=medium

  * Fix the backport of the fix for PR target/102952.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Jul 2022 11:27:17 +0200

gcc-10 (10.4.0-3) unstable; urgency=medium

  * Fix applying the pr102952-doc patch.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Jul 2022 16:41:26 +0200

gcc-10 (10.4.0-2) unstable; urgency=medium

  * Update to git 20220718 from the gcc-10 branch.
    - Fix PR tree-optimization/105860, PR d/106139, PR fortran/104313,
      PR fortran/103137, PR fortran/103138, PR fortran/103693,
      PR fortran/105243, PR fortran/106121, PR fortran/105954,
      PR fortran/105691, PR fortran/105813.
  * Backport PR target/102952, support for -mharden-sls and
    -mindirect-branch-cs-prefix for x86, suggested by Ben Hutchings.
    Closes: #1014851.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Jul 2022 09:33:00 +0200

gcc-10 (10.4.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Jun 2022 15:36:39 +0200

gcc-10 (10.4.0-1) unstable; urgency=medium

  * GCC 10.4.0 release.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Wed, 29 Jun 2022 14:30:05 +0200

gcc-10 (10.3.0-16ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Jun 2022 21:25:24 +0200

gcc-10 (10.3.0-16) unstable; urgency=medium

  * Update to git 20220622 from the gcc-10 branch (10.3 release candidate).

 -- Matthias Klose <doko@debian.org>  Wed, 22 Jun 2022 21:12:42 +0200

gcc-10 (10.3.0-15ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Mar 2022 13:12:38 +0100

gcc-10 (10.3.0-15) unstable; urgency=medium

  * Update to git 20220324 from the gcc-10 branch.
    - Fix PR tree-optimization/103237, PR middle-end/103181,
      PR middle-end/103248, PR tree-optimization/102798, PR ipa/102762,
      PR tree-optimization/100923, PR tree-optimization/101158,
      PR target/103627 (PPC), PR target/103627 (PPC), PR target/104469 (x86),
      PR target/104458 (x86), PR target/104451 (x86), PR target/104090 (PPC),
      PR middle-end/95115, PR target/102976 (PPC), PR ada/103538,
      PR ada/103538, PR fortran/104619, PR fortran/104311, PR fortran/104331,
      PR fortran/83079, PR fortran/104127, PR fortran/104227,
      PR fortran/101762, PR fortran/67804, PR fortran/103782,
      PR fortran/103692, PR fortran/102332, PR sanitizer/102911,
      PR libstdc++/102358, PR target/87496 (PPC), PR target/104208 (PPC),
      PR target/104453 (x86), PR tree-optimization/104511,
      PR target/100784 (x86), PR target/104253 (PPC).
  * Support the ld.mold linker, patch taken from the trunk.
  * Don't enable -fcf-protection with -m16 and -m32. LP: #1940029.
  * Don't run the tests on ppc64 and sh4, hanging on the buildds.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Mar 2022 13:03:07 +0100

gcc-10 (10.3.0-14ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Jan 2022 11:55:32 +0100

gcc-10 (10.3.0-14) unstable; urgency=medium

  * Update to git 20220113 from the gcc-10 branch.
    - Fix PR tree-optimization/97953, PR target/103465, PR target/103661 (x86),
      PR target/102347 (PPC), PR ipa/103267, PR target/103274 (x86),
      PR ipa/103052, PR target/101985 (PPC), PR libfortran/103634,
      PR d/103604, PR libstdc++/103877, PR libstdc++/103549,
      PR libstdc++/103453, PR libstdc++/103086, PR libstdc++/101571,
      PR libstdc++/101965, PR libstdc++/102894, PR libstdc++/102270,
      PR libstdc++/100863, PR libstdc++/100863, PR libstdc++/65816,
      PR libstdc++/101870, PR libstdc++/101608, PR libstdc++/103381.
  * Remove the gdc-driver-nophobos patch.
  * Configure instead with --with-libphobos-druntime-only=yes.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jan 2022 11:33:44 +0100

gcc-10 (10.3.0-13ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Nov 2021 21:16:05 +0100

gcc-10 (10.3.0-13) unstable; urgency=medium

  * Update to git 20211117 from the gcc-10 branch.
    - Fix PR ipa/102714, PR middle-end/100672, PR tree-optimization/100253,
      PR tree-optimization/102789, PR rtl-optimization/102842,
      PR tree-optimization/102505, PR fortran/103137, PR fortran/103138,
      PR fortran/102816, PR fortran/102685, PR fortran/102715,
      PR fortran/102817, PR fortran/99348, PR fortran/102521,
      PR libstdc++/103022.
  * Move libtsan_preinit.o into libgcc-10-dev. Addresses: #999752.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Nov 2021 19:08:29 +0100

gcc-10 (10.3.0-12ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Oct 2021 14:09:30 +0200

gcc-10 (10.3.0-12) unstable; urgency=medium

  * Update to git 20211029 from the gcc-10 branch.
    - Fix PR target/102761 (x86), PR target/98667 (x86),
      PR tree-optimization/102046, PR tree-optimization/101925,
      PR tree-optimization/101373, PR tree-optimization/101868,
      PR middle-end/101824, PR target/102588 (SPARC), PR c++/64697,
      PR tree-optimization/102622, PR target/102107 (PPC),
      PR target/102107 (PPC), PR c++/95520, PR c++/99617, PR d/102574,
      PR fortran/102716, PR fortran/102458, PR fortran/102458,
      PR fortran/82314, PR fortran/102520, PR fortran/85130,
      PR fortran/102287, PR fortran/102366, PR libstdc++/90787,
      PR libstdc++/100187, PR libstdc++/100237, PR libstdc++/100249,
      PR libstdc++/100287, PR libstdc++/101599, PR libstdc++/101589,
      PR libstdc++/101483, PR libstdc++/100387, PR libstdc++/100606,
      PR libstdc++/102425, PR libstdc++/99876, PR libstdc++/102280,
      PR libstdc++/102667.
  * ARM: pass architecture extensions to assembler if supported. Backported
    from the trunk.
  * Stop building the gcn offload compiler, not working with LLVM-13.

 -- Matthias Klose <doko@debian.org>  Fri, 29 Oct 2021 13:53:58 +0200

gcc-10 (10.3.0-11ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Sep 2021 10:30:36 +0200

gcc-10 (10.3.0-11) unstable; urgency=medium

  * Update to git 20210918 from the gcc-10 branch.
    - Fix PR rtl-optimization/102306, PR target/97142 (PPC), PR fortran/101327,
      PR fortran/98490, PR fortran/97612, PR fortran/98565, PR fortran/97694,
      PR fortran/97723, PR fortran/93701, PR fortran/98472, PR fortran/100110.
  * Fix libgcc-s1 symbols file for alpha.
  * For armhf configure --with-arch=<arch>+fp, dropping the --with-fpu=
    option; keep the old configure options for backports, for now only enabled
    for future distro releases.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Sep 2021 10:14:37 +0200

gcc-10 (10.3.0-10ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Sep 2021 18:07:35 +0200

gcc-10 (10.3.0-10) unstable; urgency=medium

  * Update to git 20210909 from the gcc-10 branch.
    - Fix PR c++/60318, PR tree-optimization/101394, PR middle-end/101291,
      PR tree-optimization/101173, PR tree-optimization/101280,
      PR tree-optimization/101105, PR middle-end/101009, PR target/101849 (PPC).

 -- Matthias Klose <doko@debian.org>  Thu, 09 Sep 2021 14:11:26 +0200

gcc-10 (10.3.0-9) unstable; urgency=medium

  * Update to git 20210902 from the gcc-10 branch.
    - Fix PR fortran/46691, PR fortran/99819, PR fortran/99818,
      PR fortran/93924, PR fortran/93925, PR fortran/93794, PR fortran/99125.
  * Remove trailing spaces in symbols files.
  * Fix not building the common packages on mipsen. Closes: #993470.
  * Don't run the tests with the installed libstdc++ on slow buildds.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Sep 2021 12:00:51 +0200

gcc-10 (10.3.0-8ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 28 Aug 2021 15:57:52 +0200

gcc-10 (10.3.0-8) unstable; urgency=high

  * Update to git 20210828 from the gcc-10 branch.
    - Fix PR target/101472 (x86), PR target/101471 (x86), PR ipa/97565,
      PR target/102035 (ARM), PR fortran/98411.
  * Stop building the common libs, now also built by gcc-11-mipsen.
  * Update libgcc-s1 symbols file for sh4.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Aug 2021 15:50:50 +0200

gcc-10 (10.3.0-7ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Aug 2021 16:08:55 +0200

gcc-10 (10.3.0-7) unstable; urgency=medium

  * Update to git 20210824 from the gcc-10 branch.
    - Fix PR target/94780 (MIPS), PR c/99295, PR ipa/101066,
      PR target/100182 (x86), PR target/101129 (PPC),
      PR rtl-optimization/99927, PR d/96435, PR d/101640, PR d/101490,
      PR d/101441, PR d/101127, PR d/101619, PR fortran/101514,
      PR fortran/101536, PR fortran/101084, PR fortran/100949,
      PR sanitizer/101749, PR libstdc++/101866, PR libstdc++/101510,
      PR libstdc++/101510, PR libstdc++/101056, PR libstdc++/100894,
      PR libstdc++/96657, PR libstdc++/98842, PR c++/101361,
      PR libstdc++/101411, PR target/101723 (ARM), PR target/100767 (ARM),
      PR target/100305 (AArch64), PR gcov-profile/100788, PR libstdc++/100139.
  * Ada: Keep the alternate stack size at 16 * 1024, and don't rely on
    the MINSIGSTKSZ constant removed in glibc 2.34.
  * Don't build the lib*gccN compat packages for bullseye. This was never
    uploaded in time for bullseye.
  * Still build the common lib packages on architectures where gcc-11 isn't
    explicitly built.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Aug 2021 15:57:22 +0200

gcc-10 (10.3.0-6ubuntu3) impish; urgency=medium

  * Ada: Keep the alternate stack size at 16 * 1024, and don't rely on
    the MINSIGSTKSZ constant removed in glibc 2.34.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Aug 2021 12:30:17 +0200

gcc-10 (10.3.0-6ubuntu2) impish; urgency=medium

  * Update to git 20210813 from the gcc-10 branch.
    - Fix PR target/94780 (MIPS), PR c/99295, PR ipa/101066,
      PR target/100182 (x86), PR target/101129 (PPC),
      PR rtl-optimization/99927, PR d/96435, PR d/101640, PR d/101490,
      PR d/101441, PR d/101127, PR d/101619, PR fortran/101514,
      PR fortran/101536, PR fortran/101084, PR fortran/100949,
      PR sanitizer/101749, PR libstdc++/101866, PR libstdc++/101510,
      PR libstdc++/101510, PR libstdc++/101056, PR libstdc++/100894,
      PR libstdc++/96657, PR libstdc++/98842, PR c++/101361,
      PR libstdc++/101411.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 Aug 2021 14:17:26 +0200

gcc-10 (10.3.0-6ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Jul 2021 11:05:01 +0200

gcc-10 (10.3.0-6) experimental; urgency=medium

  * Update to git 20210714 from the gcc-10 branch.
    - Fix PR target/101175 (x86), PR target/100856 (ARM),
      PR target/101016 (ARM), PR target/100777 (PPC), PR target/99842 (PPC),
      PR target/100871 (S390), PR tree-optimization/100934, PR ipa/100791,
      PR ipa/100513, PR middle-end/100509, PR tree-optimization/100492,
      PR c++/101087, PR d/100999, PR d/100967, PR fortran/100227,
      PR fortran/95501, PR fortran/95502, PR fortran/82376,
      PR target/99939 (ARM), PR libstdc++/91488, PR libstdc++/100900,
      PR libstdc++/95833, PR libstdc++/100384, PR libstdc++/99006,
      PR libstdc++/91488, PR libstdc++/100982, PR libstdc++/101034,
      PR libstdc++/100770, PR libstdc++/100690, PR libstdc++/100631,
      PR libstdc++/100639.
  * Fix -fstack-protector on musl (Helmut Grohne). Addresses: #989521.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Jul 2021 10:57:49 +0200

gcc-10 (10.3.0-4ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Jun 2021 10:44:57 +0200

gcc-10 (10.3.0-4) experimental; urgency=medium

  * Update to git 20210610 from the gcc-10 branch.
    - Fix PR target/100333 (ARM), PR rtl-optimization/98777,
      PR rtl-optimization/98722, PR target/97969, PR target/99725 (ARM),
      PR target/99960 (ARM), PR target/99977 (ARM),
      PR rtl-optimization/80960, PR tree-optimization/100566,
      PR target/100419 (ARM), PR target/100563 (ARM), PR middle-end/100571,
      PR target/99988 (AArch64), PR target/100108 (PPC), PR c++/100102,
      PR c++/100797, PR c++/95719, PR c++/100489, PR c++/80456,
      PR c++/100054, PR c++/90479, PR c++/100032, PR c++/91933,
      PR c++/99180, PR c++/93295, PR c++/93867, PR c++/99118, PR c++/96873,
      PR c++/41723, PR c++/52625, PR c++/92918, PR c++/96673, PR c++/99901,
      PR c++/96311, PR c++/95870, PR c++/99201, PR c++/99643, PR c++/90664,
      PR c++/91217, PR c++/97938, PR d/100964, PR d/100935, PR d/100882,
      PR fortran/99839, PR fortran/98411, PR sanitizer/100379,
      PR libstdc++/100833, PR libstdc++/100768, PR libstdc++/99453,
      PR libstdc++/99453, PR libstdc++/100630.
  * Run again all tests from the guality test suite on armhf.
  * Update libasan6 symbols for riscv64 (Helmut Grohne). Closes: #989205.
  * gcc-10-base: Breaks: gcc-8-base (<< 8.4). Closes: #984574.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Jun 2021 10:23:58 +0200

gcc-10 (10.3.0-3ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 May 2021 08:12:59 +0200

gcc-10 (10.3.0-3) experimental; urgency=medium

  * Update to git 20210510 from the gcc-10 branch.
    - Fix PR target/100311 (ARM), PR target/100182 (x86),
      PR target/99647 (ARM), PR tree-optimization/100053,
      PR tree-optimization/99954, PR tree-optimization/99880,
      PR rtl-optimization/96796, PR tree-optimization/96513,
      PR rtl-optimization/100225, PR rtl-optimization/84878,
      PR target/95646 (ARM), PR target/100402 (x86),
      PR rtl-optimization/100263, PR tree-optimization/98786,
      PR tree-optimization/100278, PR target/100375 (nvptx),
      PR target/100302 (AArch64), PR rtl-optimization/100254,
      PR debug/100255, PR rtl-optimization/100230, PR fortran/100274,
      PR c/100450, PR target/98952 (PPC), PR target/97653 (PPC),
      PR middle-end/98088, PR middle-end/84991, PR middle-end/84992,
      PR middle-end/90779, PR libstdc++/95983.
  * Add the usage-wrapper script, taken from the gcc-11 packaging.
  * Fix running the libstdc++-v3 tests against the installed libstdc++6,
    when the libstdc++6 package is not built from this source.
  * Don't run some tests from the guality test suite on armhf. These fail
    on every target, but seem to hang on the buildds occasionally on armhf.
  * README.source: Document how to run a single test.
  * Lower the dejagnu timeout on armhf from 600 to 300.
  * Explicitly call autoconf2.69 where necessary.
  * Remove packaging support for oldish backports. Last supported releases
    are Debian 8 (jessie) and Ubuntu 12.04 LTS (precise).
  * Don't apply the arm-multilib-soft patch when building without
    armhf/armsf multilib packages.
  * Fix building the gcn offload compiler without the nvptx offload compiler.

 -- Matthias Klose <doko@debian.org>  Mon, 10 May 2021 08:06:27 +0200

gcc-10 (10.3.0-2ubuntu2) impish; urgency=medium

  * Update to git 20210501 from the gcc-10 branch.
    - Fix PR target/100311 (ARM), PR target/100182 (x86),
      PR target/99647 (ARM), PR tree-optimization/100053,
      PR tree-optimization/99954, PR tree-optimization/99880,
      PR rtl-optimization/96796, PR tree-optimization/96513.
  * Add the usage-wrapper script, taken from the gcc-11 packaging.
  * Fix running the libstdc++-v3 tests against the installed libstdc++6,
    when the libstdc++6 package is not built from this source.
  * Don't run some tests from the guality test suite on armhf. These fail
    on every target, but seem to hang on the buildds occasionally on armhf.
  * README.source: Document how to run a single test.
  * Lower the dejagnu timeout on armhf from 600 to 300.
  * Explicitly call autoconf2.69 where necessary.
  * Remove packaging support for oldish backports. Last supported releases
    are Debian 8 (jessie) and Ubuntu 12.04 LTS (precise).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 01 May 2021 11:10:22 +0200

gcc-10 (10.3.0-2ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Apr 2021 08:16:29 +0200

gcc-10 (10.3.0-2) experimental; urgency=medium

  * Update to git 20210424 from the gcc-10 branch.
    - Fix PR lto/99898, PR c++/97966, PR c++/97973, PR c++/99806,
      PR c++/91416, PR c++/99831, PR c++/99331, PR c++/99176, PR c++/99120,
      PR c++/99374, PR c++/98947, PR c++/97966, PR c++/98333, PR fortran/99817,
      PR middle-end/84991, PR middle-end/84992, PR middle-end/90779,
      PR libstdc++/100060, PR libstdc++/100044, PR bootstrap/99983,
      PR libstdc++/99985, PR libstdc++/96029, PR libstdc++/96029,
      PR libstdc++/99805, PR rtl-optimization/99929, PR target/98119 (AArch64),
      PR tree-optimization/98736, PR target/99748 (ARM),
      PR target/99249 (AArch64), PR rtl-optimization/97141,
      PR rtl-optimization/98726, PR middle-end/98726, PR target/98136 (AArch64),
      PR tree-optimization/98268, PR tree-optimization/99726,
      PR target/99216 (AArch64), PR rtl-optimization/100148, PR target/99767,
      PR rtl-optimization/99905, PR debug/99830, PR lto/99849,
      PR rtl-optimization/98601, PR rtl-optimization/99863, PR c/97880,
      PR middle-end/98088, PR target/100048 (AArch64), PR c/99990, PR c++/97051,
      PR c++/95486, PR c++/97052, PR c++/95434, PR c++/83476, PR c++/99885,
      PR c++/100111, PR c++/99833, PR c++/99859, PR c++/97966, PR c++/97973,
      PR c++/99806, PR c++/91416, PR c++/99831, PR c++/99331, PR c++/99176,
      PR c++/99120, PR c++/99374, PR d/98457, PR fortran/63797, PR fortran/99817,
      PR debug/99830, PR jit/100096, PR target/97653, PR middle-end/98088,
      PR sanitizer/100114, PR libstdc++/100180, PR libstdc++/97600,
      PR libstdc++/99402, PR libstdc++/97570.
  * Explicitly use autoconf2.69 where necessary, apparently required on
    some experimental buildds.
  * Fix PR sanitizer/100114, taken from the trunk.
  * Starting with Ubuntu impish, don't build arm multilib packages.

 -- Matthias Klose <doko@debian.org>  Sat, 24 Apr 2021 07:25:21 +0200

gcc-10 (10.3.0-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Apr 2021 18:50:13 +0200

gcc-10 (10.3.0-1) experimental; urgency=medium

  * GCC 10.3.0 release.
  * Refresh patches.
  * Fix PR target/99773 (ARM), taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Thu, 08 Apr 2021 18:46:10 +0200

gcc-10 (10.2.1-24ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Apr 2021 17:55:22 +0200

gcc-10 (10.2.1-24) experimental; urgency=medium

  * GCC 10.3.0 release candidate.
  * Update to git 20210401 from the gcc-10 branch.
    - Fix PR target/99563 (x86), PR target/99542 (AArch64), PR ipa/99517,
      PR middle-end/93235, PR target/99085, PR tree-optimization/99225,
      PR tree-optimization/99204, PR ipa/99034, PR tree-optimization/99079,
      PR c++/99035, PR middle-end/99007, PR middle-end/97487,
      PR middle-end/97971, PR tree-optimization/98287, PR middle-end/99641,
      PR ipa/98078, PR c/99224, PR tree-optimization/99253, PR fortran/97927,
      PR rtl-optimization/98791, PR c/99324, PR c/99136, PR c++/99613,
      PR c++/99507, PR c++/88146, PR c++/99362, PR c++/82959, PR c++/95451,
      PR sanitizer/99106, PR c++/97742, PR c++/99033, PR c++/98988,
      PR c++/99031, PR c++/97878, PR fortran/99205, PR fortran/99545,
      PR libstdc++/99181, PR ipa/99466, PR tree-optimization/96974,
      PR target/97329 (PPC), PR target/99540 (AArch64), PR target/99704 (x86),
      PR tree-optimization/98834, PR lto/96591, PR tree-optimization/99694,
      PR target/99702 (RISCV), PR target/44107, PR target/48097,
      PR objc++/49070, PR c++/99047, PR c++/98704, PR c++/98480, PR c++/96749,
      PR c++/98118, PR c++/95616, PR c++/95615, PR c++/97587, PR c++/95822,
      PR c++/96251, PR fortran/93660, PR fortran/99369, PR fortran/99688,
      PR tree-optimization/99777, PR debug/99334, PR debug/99388,
      PR tree-optimization/99824, PR target/97252 (ARM), PR c++/99062,
      PR ipa/98265, PR rtl-optimization/96264, PR tree-optimization/97849,
      PR target/99813 (AArch64), PR target/99753 (x86), PR target/95842 (x86),
      PR target/99037 (AArch64), PR c++/98990, PR c++/95468, PR c++/98611,
      PR c++/96531, PR c++/97103.
    - Replace @tie{} string with a space in the man pages. LP: #1405685.

 -- Matthias Klose <doko@debian.org>  Thu, 01 Apr 2021 17:40:13 +0200

gcc-10 (10.2.1-23ubuntu2) hirsute; urgency=medium

  * Update to git 20210320 from the gcc-10 branch.
    - Fix PR target/99563 (x86), PR target/99542 (AArch64), PR ipa/99517,
      PR middle-end/93235, PR target/99085, PR tree-optimization/99225,
      PR tree-optimization/99204, PR ipa/99034, PR tree-optimization/99079,
      PR c++/99035, PR middle-end/99007, PR middle-end/97487,
      PR middle-end/97971, PR tree-optimization/98287, PR middle-end/99641,
      PR ipa/98078, PR c/99224, PR tree-optimization/99253, PR fortran/97927,
      PR rtl-optimization/98791, PR c/99324, PR c/99136, PR c++/99613,
      PR c++/99507, PR c++/88146, PR c++/99362, PR c++/82959, PR c++/95451,
      PR sanitizer/99106, PR c++/97742, PR c++/99033, PR c++/98988,
      PR c++/99031, PR c++/97878, PR fortran/99205, PR fortran/99545,
      PR libstdc++/99181.
    - Replace @tie{} string with a space in the man pages. LP: #1405685.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Mar 2021 17:06:10 +0100

gcc-10 (10.2.1-23ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Mar 2021 16:10:00 +0100

gcc-10 (10.2.1-23) experimental; urgency=medium

  * Update to git 20210311 from the gcc-10 branch.
    - Fix PR go/99458, PR target/99381 (AArch64), PR target/98959 (PPC),
      PR target/99279 (PPC), PR target/99041 (PPC), PR c++/90448,
      PR bootstrap/94918, PR c/99137, PR libfortran/99218.
  * Fix --as-needed specs for -fsanitize=* options for backports.
    LP: #1896458.
  * Export DEB_CHECK_ALI_UPDATE=1. This should be checked after the gnat
    transition has been prepared in experimental, and just before doing
    the gnat's defaults change in unstable.
  * debian/ada/check_ali_update.sh: Fix syntax errors.
    Always run the script.
  * Revert the PR ada/99264 fix, causing an ABI breakage in libgnat.

 -- Matthias Klose <doko@debian.org>  Fri, 12 Mar 2021 16:04:35 +0100

gcc-10 (10.2.1-21ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Still build the sanitizer packages from the GCC 10 source.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Mar 2021 12:30:30 +0100

gcc-10 (10.2.1-21) experimental; urgency=medium

  * Update to git 20210306 from the gcc-10 branch.
    - Fix PR target/85074 (PA), PR fortran/99124, PR fortran/99171,
      PR fortran/99027, PR target/99157 (ARM), PR target/99271 (ARM),
      PR target/99234 (x86), PR c++/90333, PR c++/97246, PR c++/94546,
      PR c++/96078, PR target/99234 (x86), PR tree-optimization/98758,
      PR tree-optimization/98640, PR tree-optimization/98526,
      PR tree-optimization/97897, PR debug/98656, PR ipa/98338,
      PR target/99271 (ARM), PR target/99234 (x86), PR ada/99264,
      PR ada/99095, PR c++/96199, PR c++/95675, PR c++/98810, PR c++/90333,
      PR c++/97246, PR c++/94546, PR d/99337.
    - RISC-V: Implement __builtin_thread_pointer.

 -- Matthias Klose <doko@debian.org>  Sat, 06 Mar 2021 12:14:14 +0100

gcc-10 (10.2.1-20ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Still build the sanitizer packages from the GCC 10 source.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Feb 2021 20:17:06 +0100

gcc-10 (10.2.1-20) experimental; urgency=medium

  * Update to git 20210220 from the gcc-10 branch.
    - Fix PR rtl-optimization/96015, PR debug/96997, PR c++/94034,
      PR c++/96905, PR c++/98326, PR c++/20408, PR c++/95888,
      PR fortran/99111, PR fortran/99043, PR fortran/98897, PR fortran/99060,
      PR libfortran/95647, PR libstdc++/99021.
  * Still build the lib*gccN compat packages for sid/bullseye. Note, this
    doesn't change anything for the upload to experimental. Closes: #972936.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Feb 2021 19:58:49 +0100

gcc-10 (10.2.1-19ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Still build the sanitizer packages from the GCC 10 source.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2021 13:11:55 +0100

gcc-10 (10.2.1-19) experimental; urgency=medium

  * Update to git 20210206 from the gcc-10 branch.
    - Fix PR d/98921, PR target/97701, PR rtl-optimization/98863,
      PR rtl-optimization/98863, PR rtl-optimization/98144,
      PR rtl-optimization/98863, PR target/96307, PR c++/98717, PR c++/98802,
      PR c++/98295, PR c++/98355, PR c++/96282, PR preprocessor/95253.
  * Build libgomp-plugin-hsa1 unconditionally. Removed in GCC 11.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Feb 2021 13:04:59 +0100

gcc-10 (10.2.1-18ubuntu2) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
  * Still build the sanitizer packages from the GCC 10 source.
  * Still build libgomp-plugin-hsa1.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Feb 2021 12:50:32 +0100

gcc-10 (10.2.1-18) experimental; urgency=medium

  * Stop building libasan, no soname bump in GCC 11.

 -- Matthias Klose <doko@debian.org>  Mon, 01 Feb 2021 11:37:27 +0100

gcc-10 (10.2.1-17) experimental; urgency=medium

  * Fix packaging logic to build libgphobos.

 -- Matthias Klose <doko@debian.org>  Sun, 31 Jan 2021 17:34:48 +0100

gcc-10 (10.2.1-16) experimental; urgency=medium

  * Update to git 20210130 from the gcc-10 branch.
    - Fix PR ipa/98690, PR tree-optimization/98513, PR tree-optimization/98282,
      PR tree-optimization/94994, PR tree-optimization/95401,
      PR rtl-optimization/97144, PR rtl-optimization/98214,
      PR tree-optimization/98302, PR tree-optimization/98371,
      PR target/89057 (AArch64), PR tree-optimization/98221,
      PR tree-optimization/98117, PR tree-optimization/97623,
      PR tree-optimization/97623, PR ada/98740, PR libgomp/65099,
      PR libstdc++/98605, PR libstdc++/96083, PR libstdc++/65480,
      PR libstdc++/68735, PR tree-optimization/98535,
      PR c++/98790 (closes: #980429, #980596), PR d/98806 (closes: #980204),
      PR fortran/98022, PR fortran/98517, PR fortran/93833, PR lto/85574,
      PR debug/98331, PR target/98853 (AArch64), PR target/98681 (AArch64),
      PR testsuite/98771, PR testsuite/97301, PR tree-optimization/90248,
      PR tree-optimization/98255, PR tree-optimization/97627,
      PR tree-optimization/98766, PR gcov-profile/98739, PR ada/98228,
      PR c++/33661, PR c++/98847, PR sanitizer/95693, PR c++/98672,
      PR c++/98463, PR c++/97474, PR c++/98642, PR c++/63707, PR fortran/86470.
  * Fix parallel linking of cc1gm2.
  * PR sanitizer/98699: Don't enable --as-needed with -fsanitize=* options.
    Closes: #980110.
  * Use --push-state/--pop-state for gold everywhere.
  * Backport prerequisite patch for PR target/97250 (i386: Define __LAHF_SAHF__
    and __MOVBE__ macros, based on ISA flags).
  * Make -march=x86-64-v[234] behave more like other -march= options, taken
    from the trunk.
  * Use the same breaks relations for libgcc-s2 and libgcc-s4 as for
    libgcc-s1. Closes: #980770.
  * Fix up plugin header install, taken from the trunk. Closes: #980609.
  * Still build libasan, libgm2 and libgphobos, when building common libraries
    from GCC 11.
  * Stop building packages built from GCC 11.

 -- Matthias Klose <doko@debian.org>  Sun, 31 Jan 2021 12:48:05 +0100

gcc-10 (10.2.1-6ubuntu2) hirsute; urgency=medium

  * Update to git 20210121 from the gcc-10 branch.
    - Fix PR ipa/98690, PR tree-optimization/98513, PR tree-optimization/98282,
      PR tree-optimization/94994, PR tree-optimization/95401,
      PR rtl-optimization/97144, PR rtl-optimization/98214,
      PR tree-optimization/98302, PR tree-optimization/98371,
      PR target/89057 (AArch64), PR tree-optimization/98221,
      PR tree-optimization/98117, PR tree-optimization/97623,
      PR tree-optimization/97623, PR ada/98740, PR libgomp/65099,
      PR libstdc++/98605, PR libstdc++/96083, PR libstdc++/65480,
      PR libstdc++/68735.
  * Fix parallel linking of cc1gm2.
  * PR sanitizer/98699: Don't enable --as-needed with -fsanitize=* options.
    Closes: #980110.
  * Use --push-state/--pop-state for gold everywhere.
  * Backport prerequiste patch for PR target/97250 (i386: Define __LAHF_SAHF__
    and __MOVBE__ macros, based on ISA flags).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Jan 2021 18:57:11 +0100

gcc-10 (10.2.1-6ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 Jan 2021 12:46:45 +0100

gcc-10 (10.2.1-6) unstable; urgency=medium

  * Update to git 20210110 from the gcc-10 branch.
    - Fix PR c++/98556, PR c++/98551, PR c++/96197.
  * gcc-10-source: Depend on time.
  * Fix PR rtl-optimization/97714, taken from the trunk. Closes: #975153.
  * Build the gcn offload compiler based on amdgcn-tools (based on LLVM 9).

 -- Matthias Klose <doko@debian.org>  Sun, 10 Jan 2021 12:35:39 +0100

gcc-10 (10.2.1-5) unstable; urgency=medium

  * Update to git 20210108 from the gcc-10 branch.
    - Fix PR target/96793 (x86), PR rtl-optimization/97421, PR fortran/96100,
      PR fortran/96101, PR target/96320, PR target/97865,
      PR tree-optimization/98514, PR tree-optimization/98474, PR c++/98353,
      PR c++/98383, PR middle-end/98183, PR middle-end/98205,
      PR target/94440 (x86), PR target/98100, PR plugins/98059,
      PR target/98063 (x86), PR target/98522 (x86), PR target/98521 (x86),
      PR target/97865, PR c++/98187, PR c++/98122, PR c++/98072, PR c++/82099,
      PR c++/96675, PR c++/96742, PR c++/97975, PR c++/98043, PR c++/98103,
      PR c++/97427, PR c++/97438, PR fortran/92587, PR fortran/96325,
      PR fortran/83118, PR fortran/96012.
  * Fix hppa64 snapshot builds.
  * Force running tests on m68k and sh4 architectures.
  * Provide timing and resource information for all builds.
  * Backport PR target/97250: Add support for x86-64-v2, x86-64-v3, x86-64-v4
    levels for x86-64.
  * Build the offload compilers using newlib 4.1.0.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 08 Jan 2021 17:33:30 +0100

gcc-10 (10.2.1-3) unstable; urgency=medium

  * Update to git 20201224 from the gcc-10 branch.
    - Fix PR target/96793 (x86), PR c++/98332, PR c++/90254, PR c++/93711.
  * Build the gcn offload compiler based on amdgcn-tools (based on LLVM 9).
    Not yet available, so use LLVM 9 directly.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Dec 2020 10:50:29 +0100

gcc-10 (10.2.1-2ubuntu3) hirsute; urgency=medium

  * Build the gcn offload compiler based on amdgcn-tools (using LLVM 9).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Dec 2020 08:36:13 +0100

gcc-10 (10.2.1-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 22 Dec 2020 15:18:01 +0100

gcc-10 (10.2.1-2) unstable; urgency=medium

  * Update to git 20201221 from the gcc-10 branch.
    - Fix PR rtl-optimization/97092, PR ada/98230, PR c++/64194, PR d/98277,
      PR fortran/98307.
  * For the gcn offload compiler, use a version fixing LLVM Bug 48201.
  * Don't install the lto-dump binary in the hppa64 package. Closes: #977461.
  * Refresh patches.
  * Strip compiler executables again.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Dec 2020 14:54:57 +0100

gcc-10 (10.2.1-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 10:27:13 +0100

gcc-10 (10.2.1-1) unstable; urgency=medium

  * Update to git 20201207 from the gcc-10 branch.
    - Fix PR middle-end/94600, PR target/98086 (x86), PR middle-end/95694,
      PR fortran/95342.
  * Bump version to 10.2.1.
  * Build again using gnat-10 everywhere.

 -- Matthias Klose <doko@debian.org>  Mon, 07 Dec 2020 10:23:22 +0100

gcc-10 (10.2.0-23) unstable; urgency=medium

  * Update to git 20201203 from the gcc-10 branch.
    - Fix PR tree-optimization/97457, PR rtl-optimization/98037, PR c++/97904,
      PR middle-end/95694.
  * Relax the libc-dev dependencies for kfreebsd.
  * Explicitly build with gnat-10 on m68k.

 -- Matthias Klose <doko@debian.org>  Thu, 03 Dec 2020 14:42:11 +0100

gcc-10 (10.2.0-21) unstable; urgency=medium

  * Build using gnat-9 to bootstrap on kfreebsd.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Dec 2020 14:46:47 +0100

gcc-10 (10.2.0-20ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
  * Re-enable running the testsuite again.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Dec 2020 14:04:35 +0100

gcc-10 (10.2.0-20) unstable; urgency=medium

  * Update to git 20201202 from the gcc-10 branch.
    - Fix PR target/97528 (ARM), PR debug/97599, PR c/97958, PR fortran/85796,
      PR libstdc++/98001, PR libstdc++/97935, PR target/97939 (SPARC),
      PR target/96607 (SPARC), PR tree-optimization/97812, PR middle-end/95171,
      PR tree-optimization/97760, PR tree-optimization/97539,
      PR middle-end/97554, PR libstdc++/95322, PR tree-optimization/96698,
      PR tree-optimization/96920.
  * Don't strip the sanitizer libraries, these are only used for debugging.
    LP: #1894166.
  * Don't run the libgphobos-link test on powerpc architectures.
  * Install libstdc++6 gdb pretty printer files in /usr/share/gcc (unversioned).
  * Don't mark the libgcc-sN cross packages with XB-Important/Protected: yes.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Dec 2020 13:57:11 +0100

gcc-10 (10.2.0-19ubuntu3) hirsute; urgency=medium

  * Update to git 20201129 from the gcc-10 branch.
    - Fix PR target/97528 (ARM), PR debug/97599, PR c/97958, PR fortran/85796,
      PR libstdc++/98001, PR libstdc++/97935, PR target/97939 (SPARC),
      PR target/96607 (SPARC).
  * Don't strip the sanitizer libraries, these are only used for debugging.
    LP: #1894166.
  * Don't run the libgphobos-link test on powerpc architectures.
  * Install libstdc++6 gdb pretty printer files in /usr/share/gcc (unversioned).
  * Re-enable the lto build on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 29 Nov 2020 09:50:30 +0100

gcc-10 (10.2.0-19ubuntu2) hirsute; urgency=medium

  * Disable the lto build on arm64 for now, builds still not
    succeeding on the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Nov 2020 10:22:22 +0100

gcc-10 (10.2.0-19ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
  * Don't run the testsuite on armhf and arm64, better chances for
    a succeeding build on the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Nov 2020 10:01:04 +0100

gcc-10 (10.2.0-19) unstable; urgency=medium

  * Update to git 20201125 from the gcc-10 branch.
    - Fix PR target/97730 (AArch64), PR target/97887 (x86), PR d/97889,
      PR d/97843, PR d/97842, PR libstdc++/92546, PR libstdc++/97876,
      PR libstdc++/95989, PR libstdc++/97869, PR c++/97918, PR debug/97060,
      PR target/97534 (ARM), PR c++/96805, PR c++/96199.
  * Configure again with --enable-checking=release.
  * Enable again pgo and lto builds for 64bit architectures.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Nov 2020 09:53:22 +0100

gcc-10 (10.2.0-18ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 00:35:48 +0100

gcc-10 (10.2.0-18) unstable; urgency=medium

  * Update to git 20201118 from the gcc-10 branch.
    - Fix PR target/97535 (AArch64), PR target/97682 (RISCV), PR c/97748,
      PR c++/97790, PR c/97748, PR c++/67453, PR c++/97663, PR fortran/97782,
      PR fortran/95847, PR fortran/97768, PR libstdc++/97828,
      PR libstdc++/93456, PR libstdc++/97798, PR libstdc++/96042,
      PR libstdc++/96042, PR libstdc++/96042.
  * Update VCS attributes.
  * Add an autopkg test for linking libphobos.
  * Build the gcn offload compiler using LLVM 11, and work around the
    broken as in LLVM 11. See also LLVM Bug 48201 for this issue and
    https://reviews.llvm.org/D73999 for the patch causing the issue.
  * Fix PR target/97528, proposed patch. Closes: #972665.

 -- Matthias Klose <doko@debian.org>  Thu, 19 Nov 2020 00:26:55 +0100

gcc-10 (10.2.0-17ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 11 Nov 2020 18:08:24 +0100

gcc-10 (10.2.0-17) unstable; urgency=medium

  * Update to git 20201111 from the gcc-10 branch.
    - Fix PR tree-optimization/97764, PR target/97685 (x86),
      PR target/97360 (PPC), PR lto/97508, PR c++/97412, PR fortran/97652,
      PR fortran/92793, PR fortran/92793, PR target/85486, PR libstdc++/96269,
      PR libstdc++/97731, PR libstdc++/97362, PR libstdc++/92285.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Nov 2020 17:50:04 +0100

gcc-10 (10.2.0-16ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Oct 2020 16:43:44 +0100

gcc-10 (10.2.0-16) unstable; urgency=medium

  * Update to git 20201029 from the gcc-10 branch.
    - Fix PR rtl-optimization/97439, PR target/96759 (RISCV),
      PR target/97506 (x86), PR target/97327 (ARM), PR target/96914 (ARM),
      PR target/96914 (ARM), PR target/96914 (ARM), PR rtl-optimization/97386,
      PR sanitizer/97294, PR target/97291 (ARM), PR ipa/96394, PR ipa/97404,
      PR ipa/97295, PR target/97251 (ARM), PR target/97349 (AArch64),
      PR tree-optimization/97357, PR tree-optimization/97255, PR c++/97197,
      PR c++/97328, PR c++/97010, PR c++/97197, PR c++/96229, PR fortran/95979,
      PR libstdc++/95322, PR libstdc++/97132, PR libstdc++/95788,
      PR tree-optimization/97081, PR tree-optimization/97456,
      PR c++/95132, PR c++/96241.
  * Also enable the extra checking on amd64, arm64, ppc64el, s390x, and don't
    strip the executables.  This will be reverted within a few weeks, please
    don't send bug reports about that.
  * Mark libgcc-sN with XB-Important/Protected: yes. Addresses: #972936.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Oct 2020 16:36:48 +0100

gcc-10 (10.2.0-15ubuntu1) hirsute; urgency=medium

  * Update to git 20201023 from the gcc-10 branch.
    - Fix PR rtl-optimization/97439, PR target/96759 (RISCV),
      PR target/97506 (x86), PR target/97327 (ARM), PR target/96914 (ARM),
      PR target/96914 (ARM), PR target/96914 (ARM), PR rtl-optimization/97386,
      PR sanitizer/97294, PR target/97291 (ARM), PR ipa/96394, PR ipa/97404,
      PR ipa/97295, PR target/97251 (ARM), PR target/97349 (AArch64),
      PR tree-optimization/97357, PR tree-optimization/97255, PR c++/97197,
      PR c++/97328, PR c++/97010, PR c++/97197, PR c++/96229, PR fortran/95979,
      PR libstdc++/95322, PR libstdc++/97132, PR libstdc++/95788.
  * On every arch except i386, configure with --enable-checking=yes,extra,rtl,
    and don't strip the executables for now.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 10:36:50 +0200

gcc-10 (10.2.0-15) unstable; urgency=medium

  * Update to git 20201011 from the gcc-10 branch.
    - Fix PR target/97302, PR rtl-optimization/97313, PR middle-end/95189,
      PR middle-end/95886, PR target/97150 (AArch64), PR target/96313 (AArch64),
      PR tree-optimization/97236, PR target/96456 (S390), PR gcov-profile/97193,
      PR c++/88115, PR libstdc++/97273, PR c++/96994, PR c++/97195,
      PR c++/97145, PR fortran/97272, PR bootstrap/97163, PR gcov-profile/96913.
  * On armel, armhf, configure with --enable-checking=yes,extra,rtl, and don't
    strip the executables for now.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Oct 2020 12:40:50 +0200

gcc-10 (10.2.0-14) experimental; urgency=medium

  * Update to git 20201002 from the gcc-10 branch.
    - Fix PR gcov-profile/64636, PR tree-optimization/96979,
      PR gcov-profile/97069, PR target/96795 (ARM), PR target/96827 (ARM),
      PR bootstrap/97183, PR target/97184 (x86).
  * Fix PR tree-optimization/97236, taken from the trunk. Stop reverting the
    fixes for PR tree-optimization/97043, PR tree-optimization/96522.
    Closes: #971027.
  * Enable gnat on m68k again (Adrian Glaubitz). Closes: #971551.

 -- Matthias Klose <doko@debian.org>  Fri, 02 Oct 2020 14:12:39 +0200

gcc-10 (10.2.0-13ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Sep 2020 12:43:07 +0200

gcc-10 (10.2.0-13) unstable; urgency=medium

  * Update to git 20200930 from the gcc-10 branch.
    - Fix PR target/97247 (x86), PR target/97231 (x86), PR middle-end/97054.
    - Backport SVE ACLE and stack-protector patches (ARM, AArch64).
  * Revert the fix for PR tree-optimization/96522. See #971027.

 -- Matthias Klose <doko@debian.org>  Wed, 30 Sep 2020 12:29:35 +0200

gcc-10 (10.2.0-12) unstable; urgency=medium

  * Update to git 20200927 from the gcc-10 branch.
    - Fix PR target/71233 (AArch64), PR middle-end/97073.
  * Revert the fix for PR tree-optimization/97043. Addresses: #971027.

 -- Matthias Klose <doko@debian.org>  Tue, 29 Sep 2020 12:37:37 +0200

gcc-10 (10.2.0-11ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Sep 2020 12:23:45 +0200

gcc-10 (10.2.0-11) unstable; urgency=medium

  * Update to git 20200927 from the gcc-10 branch.
    - Fix PR middle-end/95464, PR target/96683 (ARM), PR target/97032,
      PR target/97166 (PPC), PR fortran/96041, PR fortran/93423,
      PR fortran/93423, PR libstdc++/97167, PR libstdc++/96803,
      PR libstdc++/96803, PR libstdc++/94681, PR libstdc++/94681,
      PR libstdc++/97101, PR libstdc++/94160.
    - libgo: don't put golang.org packages in zstdpkglist.go. Closes: #970604.

  [ Samuel Thibault ]
  * Limit systemtap-sdt-dev build dependency to linux architectures.
    Closes: #970614.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Sep 2020 12:19:01 +0200

gcc-10 (10.2.0-9ubuntu2) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Sep 2020 20:55:59 +0200

gcc-10 (10.2.0-9) unstable; urgency=high

  * Update to git 20200918 from the gcc-10 branch.
    - Fix PR preprocessor/96935, PR tree-optimization/97053,
      PR target/97028 (x86), PR debug/96690, PR tree-optimization/96522,
      PR tree-optimization/97043.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Sep 2020 20:23:58 +0200

gcc-10 (10.2.0-8ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Sep 2020 11:44:40 +0200

gcc-10 (10.2.0-8) unstable; urgency=medium

  * Update to git 20200914 from the gcc-10 branch.
    - Fix PR tree-optimization/96579, PR tree-optimization/96370,
      PR tree-optimization/96514, PR middle-end/96369, PR lto/96385,
      PR tree-optimization/96349, PR bootstrap/96203, PR lto/95604,
      PR debug/93865, PR debug/94235, PR c++/96901, PR lto/94311,
      PR debug/96729, PR c++/96901, PR c++/96862, PR fortran/96859.
  * Fix libstdc++ symbols file for armel, no pretty formatting allowed
    in symbols files.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Sep 2020 11:30:32 +0200

gcc-10 (10.2.0-7) unstable; urgency=medium

  * Update to git 20200910 from the gcc-10 branch.
    - Fix PR c++/95164, PR target/85830 (PPC), PR tree-optimization/96820,
      PR target/96808 (PPC), PR tree-optimization/96597,
      PR tree-optimization/88240, PR tree-optimization/96854,
      PR target/96551 (x86), PR d/96924, PR fortran/95398, PR fortran/94672,
      PR libstdc++/92978, PR libstdc++/96851, PR target/96357 (AArch64),
      PR fortran/95109, PR fortran/94690.
  * Update libasan and libgfortran symbols files.
  * Replace the libstdc++ symbols file on armel with one based on
    symbol versions (versions different than for other architectures).
    Closes: #954954.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Sep 2020 17:24:36 +0200

gcc-10 (10.2.0-6ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Aug 2020 14:11:37 +0200

gcc-10 (10.2.0-6) unstable; urgency=medium

  * Update to git 20200831 from the gcc-10 branch.
    - Fix PR target/96744 (x86), PR target/94538 (ARM), PR middle-end/87256,
      PR tree-optimization/96722, PR tree-optimization/96758,
      PR target/95450, PR tree-optimization/96535, PR c/96549, PR fortran/93553,
      PR middle-end/96459, PR tree-optimization/96730, PR ipa/95320,
      PR target/96682 (ARM), PR target/96506 (PPC), PR target/96536 (x86),
      PR target/96562 (x86), PR target/93897 (x86), PR lto/95362,
      PR lto/95548, PR c/96545, PR c++/96497, PR c++/95428, PR c++/96199,
      PR c++/96106, PR c++/96164, PR d/96157, PR d/96250, PR d/96254,
      PR d/96301, PR fortran/95882, PR fortran/96486, PR fortran/93553,
      PR middle-end/96459, PR libstdc++/71960, PR libstdc++/96766,
      PR libstdc++/96718, PR target/96493 (PPC), PR ipa/96482, PR ipa/96291,
      PR target/96243 (x86), PR target/96530 (PPC), PR target/96446 (PPC),
      PR c++/96106, PR c++/96164, PR fortran/96312, PR libstdc++/89760,
      PR libstdc++/95749.
  * Disable go on sh4. Closes: #969221.
  * Update patch for CUDA and __float128. Closes: #968672.

 -- Matthias Klose <doko@debian.org>  Mon, 31 Aug 2020 12:27:30 +0200

gcc-10 (10.2.0-5ubuntu2) groovy; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Aug 2020 17:05:20 +0200

gcc-10 (10.2.0-5ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Aug 2020 13:42:26 +0200

gcc-10 (10.2.0-5) unstable; urgency=medium

  * Update to git 20200808 from the gcc-10 branch.
    - Fix PR target/96191 (ARM), PR target/96191 (AArch64),
      PR tree-optimization/96483, PR middle-end/96426, PR debug/96354,
      PR target/95435 (x86), PR tree-optimization/96058, PR middle-end/96335,
      PR lto/45375, PR c/96377, PR c++/96082, PR c++/95591, PR c++/95599,
      PR c++/95823, PR c++/95824, PR c++/95895, PR d/96140,
      PR fortran/96319, PR fortran/95612, PR fortran/95585.

 -- Matthias Klose <doko@debian.org>  Sat, 08 Aug 2020 13:31:03 +0200

gcc-10 (10.2.0-3ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't run the tests on riscv64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jul 2020 14:57:54 +0200

gcc-10 (10.2.0-3) unstable; urgency=medium

  * Update to git 20200725 from the gcc-10 branch.
    - Fix PR target/96190 (SPARC), PR target/96236 (PPC), PR target/96260,
      PR fortran/95980, PR fortran/95980, PR fortran/96086, PR fortran/89574,
      PR fortran/96220, PR fortran/96018.
  * Re-enable gm2, disabled by accident in 10.2.0-1.
  * Refresh gm2 patches.
  * Apply proposed gdc patch (Iain Buclaw). Closes: #966026.
  * Apply proposed patch for PR bootstrap/96203, add -fcf-protection=check.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Jul 2020 14:52:31 +0200

gcc-10 (10.2.0-1ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't run the tests on riscv64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Jul 2020 10:27:17 +0200

gcc-10 (10.2.0-1) unstable; urgency=medium

  * GCC 10.2.0 release.
    - Fix PR target/95726 (AArch64), PR target/96174 (x86), PR middle-end/95114,
      PR tree-optimization/96146, PR middle-end/96194, PR c++/95789,
      PR c++/96104, PR c++/96179.
    - Fix missing dependencies for selftests which occasionally causes
      failed builds. Closes: #960913.
  * Update gm2 from the gm2 gcc-10 branch.
  * Update the patch for PR lto/95604, replacing the error with a warning.
  * Build the GC enabled libobjc on arm64, mips and mipsel as well.
  * libgo: Merge the 1.14.6 changes, taken from the trunk.
  * Fix ASAN_INTERCEPT_VFORK related symbols. (Helmut Grohne). Closes: #965246.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Jul 2020 12:15:54 +0200

gcc-10 (10.1.0-6ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't run the tests on riscv64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jul 2020 15:07:13 +0200

gcc-10 (10.1.0-6) unstable; urgency=medium

  * Update to git 20200714 from the gcc-10 branch.
    - Fix PR lto/95604, PR target/94891 (AArch64), PR target/94791 (AArch64),
      PR ipa/96130, PR middle-end/94600, PR middle-end/95270, PR c++/96063,
      PR c++/96077.
  * Also package the nvptx offload compiler on arm64.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Jul 2020 12:07:51 +0200

gcc-10 (10.1.0-5) unstable; urgency=medium

  * Update to git 20200713 from the gcc-10 branch.
    - Fix PR bootstrap/94998, PR tree-optimization/94969, PR target/95018 (PPC),
      PR target/95347 (PPC), PR target/95347 (PPC), PR target/95713,
      PR target/94735 (ARM), PR target/94959 (ARM), PR c++/95505, PR c++/95508,
      PR fortran/95707, PR fortran/95688, PR fortran/95687, PR fortran/95689,
      PR fortran/95587, PR fortran/95088, PR lto/94848, PR c/95141, PR c++/95711,
      PR c++/95736, PR c++/95519, PR c++/95518, PR c++/95813, PR c++/95477,
      PR c++/95719, PR d/95250, PR fortran/95978, PR fortran/71706,
      PR fortran/95743, PR fortran/95340, PR fortran/95880, PR fortran/95881,
      PR fortran/95826, PR fortran/95828, PR fortran/95827, PR fortran/95812,
      PR fortran/95708, PR target/95105 (AArch64), PR tree-optimization/96075,
      PR ipa/96040, PR debug/95343, PR fortran/95709, PR fortran/93337,
      PR fortran/95366, PR fortran/88379, PR fortran/9582 libstdc++/91807,
      PR libstdc++/91153, PR target/93224, PR libstdc++/95282, PR libstdc++/94627,
      PR tree-optimization/95857, PR target/95581 (PPC), PR target/96125 (PPC),
      PR tree-optimization/96133, PR tree-optimization/95804,
      PR tree-optimization/95638, PR target/95683 (RISCV), PR c++/96105,
      PR c++/96052, PR c++/95976, PR libstdc++/95322, PR libstdc++/94936,
      PR libstdc++/94087.
  * distro-defaults.h: Don't define for offload compilers.
  * Build the nvptx offload compiler on arm64.
  * Update the patch for PR lto/95604.

 -- Matthias Klose <doko@debian.org>  Mon, 13 Jul 2020 13:12:42 +0200

gcc-10 (10.1.0-4) unstable; urgency=medium

  * Update to git 20200616 from the gcc-10 branch.
    - Fix PR ipa/95113, PR target/95525 (x86), PR target/95420 (ARM),
      PR target/94591 (ARM), PR gcov-profile/95332, PR testsuite/95361,
      PR target/95355 (x86), PR web/95380, PR c++/95346, PR c++/95562,
      PR c++/95345, PR c++/95050, PR c++/94817, PR c++/94829, PR c++/95087,
      PR c++/93310, PR c++/95158, PR c++/92103, PR c++/92633, PR c++/92838,
      PR c++/95020, PR c++/95386, PR c++/92652, PR c++/93698, PR c++/94128,
      PR c++/95241, PR c++/95181, PR c++/95371, PR c++/95319, PR c++/95222,
      PR c++/90212, PR c++/90479, PR c++/91529, PR c++/93822,
      PR libfortran/95390, PR libfortran/95104, PR libfortran/95104,
      PR libfortran/95191, PR libgomp/92854, PR libgomp/92854,
      PR libstdc++/95322, PR libstdc++/77691, PR lto/94848, PR middle-end/95551,
      PR target/95528, PR c++/95197, PR middle-end/95108, PR debug/95080,
      PR sanitizer/95634, PR sanitizer/94910, PR c/95580, PR c++/95328,
      PR c++/95197, PR c++/95440, PR c++/93467, PR c++/95350, PR c++/95560,
      PR c++/95066, PR c++/94937, PR c++/95344, PR c++/94955, PR c++/90915,
      PR c++/90915, PR c++/95137, PR fortran/95544, PR fortran/93366,
      PR fortran/95503, PR fortran/94109, PR fortran/95611, PR fortran/95091,
      PR libstdc++/95578.
  * Fix PR lto/95604, proposed patch.
  * Reorganize the distro defaults patches.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Jun 2020 13:09:42 +0200

gcc-10 (10.1.0-3ubuntu1) groovy; urgency=medium
  * 

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jul 2020 14:01:38 +0200

gcc-10 (10.1.0-4ubuntu2) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't run the tests on riscv64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Jun 2020 12:37:21 +0200

gcc-10 (10.1.0-4) unstable; urgency=medium

  * Update to git 20200616 from the gcc-10 branch.
    - Fix PR ipa/95113, PR target/95525 (x86), PR target/95420 (ARM),
      PR target/94591 (ARM), PR gcov-profile/95332, PR testsuite/95361,
      PR target/95355 (x86), PR web/95380, PR c++/95346, PR c++/95562,
      PR c++/95345, PR c++/95050, PR c++/94817, PR c++/94829, PR c++/95087,
      PR c++/93310, PR c++/95158, PR c++/92103, PR c++/92633, PR c++/92838,
      PR c++/95020, PR c++/95386, PR c++/92652, PR c++/93698, PR c++/94128,
      PR c++/95241, PR c++/95181, PR c++/95371, PR c++/95319, PR c++/95222,
      PR c++/90212, PR c++/90479, PR c++/91529, PR c++/93822,
      PR libfortran/95390, PR libfortran/95104, PR libfortran/95104,
      PR libfortran/95191, PR libgomp/92854, PR libgomp/92854,
      PR libstdc++/95322, PR libstdc++/77691, PR lto/94848, PR middle-end/95551,
      PR target/95528, PR c++/95197, PR middle-end/95108, PR debug/95080,
      PR sanitizer/95634, PR sanitizer/94910, PR c/95580, PR c++/95328,
      PR c++/95197, PR c++/95440, PR c++/93467, PR c++/95350, PR c++/95560,
      PR c++/95066, PR c++/94937, PR c++/95344, PR c++/94955, PR c++/90915,
      PR c++/90915, PR c++/95137, PR fortran/95544, PR fortran/93366,
      PR fortran/95503, PR fortran/94109, PR fortran/95611, PR fortran/95091,
      PR libstdc++/95578.
  * Fix PR lto/95604, proposed patch.
  * Reorganize the distro defaults patches.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Jun 2020 13:09:42 +0200

gcc-10 (10.1.0-3ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 May 2020 23:09:55 +0200

gcc-10 (10.1.0-3) unstable; urgency=medium

  * Update to git 20200525 from the gcc-10 branch.
    - Fix PR target/95255 (x86), PR target/95258 (x86), PR lto/95190,
      PR target/95169 (x86), PR target/95212 (x86), PR middle-end/94635,
      PR middle-end/94940, PR d/94970, PR fortran/39695, PR libfortran/95119,
      PR libstdc++/95289, PR libstdc++/93983.
  * Configure --with-arch=i686 for the Hurd. Closes: #960929.
  * Remove the last powerpcspe packaging bits, it's finally gone.
  * Update watch file.

 -- Matthias Klose <doko@debian.org>  Mon, 25 May 2020 22:55:26 +0200

gcc-10 (10.1.0-2ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 May 2020 12:08:46 +0200

gcc-10 (10.1.0-2) unstable; urgency=medium

  * Update to git 20200515 from the gcc-10 branch.
    - Fix PR ipa/94947, PR c/95040, PR middle-end/94724,
      PR target/94950 (RISCV), PR target/94942 (x86), PR c/94968, PR c/94842,
      PR c++/95003, PR c++/94885, PR c++/94938, PR c++/94951, PR c++/94907,
      PR fortran/93497, PR fortran/94672, PR fortran/59107, PR libstdc++/94906,
      PR libstdc++/94933, PR libstdc++/92894.

  [ Matthias Klose ]
  * Remove the unmaintained neon packaging bits.
  * Add build dependency on unzip to fix libphobos test failures.
  * libphobos: Fix issue 19861 - core.cpuid reports the wrong number of
    threads. Closes: #960150.
  * Build using GCC 10 on recent distro versions.
  * Fix gnat tests to find the libgnat_utils shared library. Closes: #960270.
  * Run the testsuite with the offload compilers installed into the temporary
    install location.
  * Don't require root for the temp installation of the offload compilers.
  * Use LLVM 10 for the amdgcn assembler and linker tools.
  * Don't override the libstdc++ test results when running the libstdc++ abi
    check.
  * Update debian/TODO, remove obsolete items, add some testsuite items.
  * Override some lintian warnings for snapshot builds.
  * Include jit test results into the summary and the gcc-test-results package.
  * Fix some lintian warnings.
  * Don't strip the target object files for the amdgcn offload build.
  * Stop building the libgcc compat packages for bullseye/sid.

  [ Nicolas Boulenguez ]
  * Enable gnat autopkg tests.

 -- Matthias Klose <doko@debian.org>  Fri, 15 May 2020 17:11:03 +0200

gcc-10 (10.1.0-1ubuntu1) groovy; urgency=medium

  * GCC 10.1.0 release.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 May 2020 13:58:39 +0200

gcc-10 (10.1.0-1) unstable; urgency=medium

  * GCC 10.1.0 release.
  * lib*stdc++6: Depend on lib*gcc-sN instead of lib*gccN.
  * Build libphobos on hppa-linux-gnu.
  * Update NEWS files for GCC 10.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Thu, 07 May 2020 13:44:26 +0200

gcc-10 (10-20200502-1ubuntu1) groovy; urgency=medium

  * Stop building libgccN.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 May 2020 14:22:41 +0200

gcc-10 (10-20200502-1) unstable; urgency=medium

  * GCC 10.1 release candidate.
  * GCC snapshot, taken from the gcc-10 branch (20200502, 0118d0397f9).
    - Fix PR objc/94637, @selector() broken for selectors containing repeated
      colons. Closes: #959127.
  * Increase the testsuite timeout on riscv64.
  * Fix sparc64 multilib cross build (Helmut Grohne). Closes: #958909.
  * Fix GDC Issue 19367 - std.net.curl does not understand HTTP/2 status lines.
    LP: #1876293.
  * Update libgphobos symbols files.

 -- Matthias Klose <doko@debian.org>  Sat, 02 May 2020 14:09:59 +0200

gcc-10 (10-20200425-1ubuntu2) groovy; urgency=medium

  * GCC snapshot, taken from the trunk (20200425, cf3f7b309ffd).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Apr 2020 18:12:45 +0200

gcc-10 (10-20200425-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200425, cf3f7b309ffd).
    - Fix PR middle-end/94647. Closes: #958062.
  * Fix local patch for PR jit/87808. Closes: #954898.
  * gcc-snapshot: Depend on nvptx-tools with the nvptx offload compiler.
  * Provide symlinks for the offload target tools in <gcclibdir>/accel/<target>.
  * Don't include lib*gomp1 and libgcc4 in the control file, when not building
    the common libraries.
  * Build libphobos on powerpc*, libdruntime only.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Apr 2020 18:07:48 +0200

gcc-10 (10-20200418-1ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200417, b835645c7a5).
  * libgcc-sN: Don't add the libgcc-N-dev breaks for backports.
  * Fix typo, configure with --with-tune=z15 on Ubuntu/s390x for the
    g-series, but don't enable it for the focal release.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Apr 2020 13:19:08 +0200

gcc-10 (10-20200418-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200418, c5bac7d127f2).
    - Fix PR lto/94612, offloading support.
    - Fix PR rtl-optimization/93974, ICE on ppc64el with -O3.

  [ Nicolas Boulenguez ]
  * Remove ada-lib-info-file-prefix-map.diff (see #87972).

  [ Matthias Klose ]
  * libgcc-sN: Don't add the libgcc-N-dev breaks for backports.
  * Include the complete offload compilers in the gcc-snapshot builds.

 -- Matthias Klose <doko@debian.org>  Sat, 18 Apr 2020 11:56:38 +0200

gcc-10 (10-20200411-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200411, f883c46b487).
  * Fix gnat cross builds.
  * Strip again the compiler executables.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Apr 2020 15:12:15 +0200

gcc-10 (10-20200411-0ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200411, f883c46b487).
  * Fix gnat cross builds.
  * Make -fcommon the default again, left-over from the test rebuild.
  * Strip the compiler executables for the release.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Apr 2020 15:58:53 +0200

gcc-10 (10-20200410-1ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200410, 7478addd84a).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Apr 2020 14:55:35 +0200

gcc-10 (10-20200410-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200410, 7478addd84a).

  [ Matthias Klose ]
  * Update libgccjit and libgphobos symbols files.
  * Remove the libgcc-sN provides from the last upload.
  * Don't install the empty gcc_lib_dir in gcc-N-base.
  * Configure with -enable-libphobos-checking=release.

  [ Nicolas Boulenguez ]
  * Remove some dependencies older than oldoldstable.
  * Build gnat. Remove obsolete no_install option for libgnat.
  * ada-lib-info-file-source-date-epoch.diff: port fix from gcc-9.
  * ada: install libgnat-BV.so without adding a .1 suffix.
  * Rename libgnatvsn to libgnat_util (following upstream).
    Make the compatibility project abstract instead of generating twice.
  * ada-changes-in-autogen-output.diff: keep more upstream default values in
    order to reduce the diff noise.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Apr 2020 14:45:04 +0200

gcc-10 (10-20200405-0ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200405, 705510a708d).
  * Update libgccjit and libgphobos symbols files.
  * Re-enable running the testsuite.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Apr 2020 11:07:22 +0200

gcc-10 (10-20200324-1ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200324, 906b3eb9df6).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 13:55:00 +0100

gcc-10 (10-20200324-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200324, 906b3eb9df6).
  * libgcc-N-dev: Include sanitizer headers again. Closes: #954751.
  * gm2: Define lang_register_spec_functions for jit. Closes: #954438.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Mar 2020 13:38:16 +0100

gcc-10 (10-20200321-1ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200321, 497498c878d).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2020 16:13:30 +0100

gcc-10 (10-20200321-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200321, 497498c878d).
  * Update gm2 from the gm2 trunk.
  * Move limits.h and syslimits.h into <gcc-lib-dir>/include, and remove
    <gcc-lib-dir>/include-fixed.
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Mar 2020 13:14:07 +0100

gcc-10 (10-20200307-0ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200307, 2a4c59d9aa6).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Mar 2020 11:37:10 +0100

gcc-10 (10-20200304-1ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200304, 94f7d7ec6eb).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Mar 2020 16:52:08 +0100

gcc-10 (10-20200304-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200304, 94f7d7ec6eb).
  * Update the autopkg tests to run GCC 10.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Mar 2020 16:38:16 +0100

gcc-10 (10-20200228-0ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200228, 4707548ee84).
  * Update the autopkg tests to run GCC 10.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Feb 2020 13:47:15 +0100

gcc-10 (10-20200222-1ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 22 Feb 2020 11:13:45 +0100

gcc-10 (10-20200222-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200222, e99b18cf710).
  * Don't create doc directories for -dbg packages when not building those.
  * Update libgphobos symbols file for amd64.
  * Don't try to strip the target libs for the amdgcn offload compiler.

 -- Matthias Klose <doko@debian.org>  Sat, 22 Feb 2020 13:39:51 +0100

gcc-10 (10-20200211-1ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Feb 2020 07:41:41 +0100

gcc-10 (10-20200211-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200211, a6ee556c765).

  [ Matthias Klose ]
  * Let the libgcc-sN multilib cross packages provide libgccN.
  * libgcc-sN: Move library back to /lib from /usr/lib, and add
    a replaces to libgccN. Closes: #950624.
  * libgcc-sN: Add break on cryptsetup-initramfs. Closes: #950551.

  [ Aurelien Jarno ]
  * debian/libgcc-s.symbols: add mipsn32el to the list of architectures
    with GCC_3.3.4, GCC_4.4.0 and CC_4.5.0 symbols.
  * debian/rules.conf: libgcc-s1 and corresponding multilib packages are
    epochless. Adjust DEB_LIBGCC_VERSION accordingly.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Feb 2020 07:20:23 +0100

gcc-10 (10-20200204-1ubuntu5) focal; urgency=medium

  * Let the libgcc-sN multilib cross packages provide libgccN.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 09 Feb 2020 11:14:47 +0100

gcc-10 (10-20200204-1ubuntu3) focal; urgency=medium

  * Disable LTO on ppc64el

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Feb 2020 04:12:33 +0100

gcc-10 (10-20200204-1ubuntu2) focal; urgency=medium

  * Enable LTO builds.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Feb 2020 18:32:39 +0100

gcc-10 (10-20200204-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200202, 0303907ea5d).
  * On architectures where libgcc_s.so is a symlink, replace the symlink with
    a simple linker script.
  * Add breaks on libgcc-N-dev packages on arm64, s390x and sparc64.
    Closes: #950550, #950579.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Feb 2020 15:52:16 +0100

gcc-10 (10-20200202-1ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200202, 0303907ea5d).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 02 Feb 2020 12:17:29 +0100

gcc-10 (10-20200202-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200202, 0303907ea5d).

 -- Matthias Klose <doko@debian.org>  Sun, 02 Feb 2020 11:43:57 +0100

gcc-10 (10-20200129-1ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200129, 87c3fcfa6bb).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Jan 2020 17:07:51 +0100

gcc-10 (10-20200129-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20200129, 87c3fcfa6bb).
  * Update gm2 from the gm2 trunk.
  * Fix libgomp-plugin-amdgcn1 package description.
  * Bump libgo soversion.
  * Reset libgphobos version to 1.
  * Apply proposed patch for PR bootstrap/93409.
  * Fix building the amdgcn offload compiler with llvm 9.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 29 Jan 2020 12:34:27 +0100

gcc-10 (10-20200117-2) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20200117, 507de5ee23e).
  * Update gm2 from the gm2 trunk.

  [ Matthias Klose ]
  * Update libgomp symbols files.
  * Build-depend on libzstd-dev.
  * Revert the fix for PR c/85678, not making -fno-common the default for
    current releases and backports.
  * Update libstdc++ symbols file.
  * Install more AArch64 intrinsic headers.
  * Prepare for git updates from a release branch.
  * Allow retrying of a native build in case of unreproducible ICEs.

  [YunQiang Su]
  * Fix buffer overflow in the gcc-search-prefixed-as-ld patch when
    strlen(DEFAULT_REAL_TARGET_MACHINE) < multiarch_len. Addresses: #915194.

 -- Matthias Klose <doko@debian.org>  Fri, 17 Jan 2020 15:56:29 +0100

gcc-10 (10-20200116-1ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200116, f7dff7699fd).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Jan 2020 12:09:12 +0100

gcc-10 (10-20200116-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20200116, f7dff7699fd).
  * Update gm2 from the gm2 trunk.

  [ Matthias Klose ]
  * Update libgomp symbols files.
  * Build-depend on libzstd-dev.
  * Revert the fix for PR c/85678, not making -fno-common the default for
    current releases and backports.

  [YunQiang Su]
  * Fix buffer overflow in the gcc-search-prefixed-as-ld patch when
    strlen(DEFAULT_REAL_TARGET_MACHINE) < multiarch_len. Addresses: #915194.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Jan 2020 11:56:07 +0100

gcc-10 (10-20200104-1ubuntu2) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200104, r279880).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2020 11:43:24 +0100

gcc-10 (10-20200104-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20200104, r279880).
  * Update newlib to newlib-3.2.0.
  * Update gm2 from the gm2 trunk.

 -- Matthias Klose <doko@debian.org>  Sat, 04 Jan 2020 11:26:06 +0100

gcc-10 (10-20191219-0ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20191219, r279564).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Dec 2019 10:40:20 +0100

gcc-10 (10-20191217-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20191217, r279456).
  * Update newlib to a snapshot from trunk.
  * Update gm2 from the gm2 trunk.
  * Update symbols files.
  * Build without gnat for a first build.
  * Build an amdgcn offload compiler.
  * Update debian/copyright for gm2, compiler is now GPL-3+, the runtime
    libraries GPL-3+ plus GCC Runtime Library Exception, version 3.1.
  * Fix libgo build on arm-linux-gnueabi*.
  * Update debian/copyright for contrib/unicode.
  * libgomp-plugin-nvptx1: Update cuda suggestions. Addresses: #946487.
  * Fix buffer overflow in the gcc-search-prefixed-as-ld patch.
    Addresses: #946792.
  * Don't strip frontends for debugging purposes.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Dec 2019 12:31:04 +0100

gcc-9 (9.2.1-21ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Nov 2019 23:05:19 +0100

gcc-9 (9.2.1-21) unstable; urgency=medium

  * Update to SVN 20191130 (r278870) from the gcc-9-branch.
    - Fix PR fortran/92100, PR tree-optimization/92222, PR ada/92489,
      PR fortran/92629.
  * Stop building -dbg packages, keep building the libstc++6-9-dbg package
    containing just the libstdc++ debug build.

 -- Matthias Klose <doko@debian.org>  Sat, 30 Nov 2019 09:17:04 +0100

gcc-9 (9.2.1-20ubuntu3) focal; urgency=medium

  * Update to SVN 20191127 (r278756) from the gcc-9-branch.
    - Fix PR fortran/92100.
  * Stop building -dbg packages, keep building the libstc++6-9-dbg package
    containing just the libstdc++ debug build.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Nov 2019 08:14:41 +0100

gcc-9 (9.2.1-20ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Nov 2019 08:30:24 +0100

gcc-9 (9.2.1-20) unstable; urgency=medium

  * Update to SVN 20191126 (r278718) from the gcc-9-branch.
    - Fix PR libstdc++/92267, PR tree-optimization/91355, PR other/92090,
      PR middle-end/90796, PR middle-end/90840, PR target/90867 (x86),
      PR c/90898, PR middle-end/91450, PR rtl-optimization/92430,
      PR target/92389 (x86), PR tree-optimization/90930, PR target/87833 (x86),
      PR c++/90767, PR c++/92504, PR fortran/92113, PR fortran/92321,
      PR fortran/92470, PR fortran/92470, PR fortran/92569, PR fortran/92050,
      PR ada/92362, PR ada/92575.
  * Add a libgphobos symbols file.
  * Enable LTO builds again.

 -- Matthias Klose <doko@debian.org>  Tue, 26 Nov 2019 08:16:37 +0100

gcc-9 (9.2.1-19ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Nov 2019 16:13:02 +0100

gcc-9 (9.2.1-19) unstable; urgency=medium

  * Update to SVN 20191109 (r278002) from the gcc-9-branch.
    - Fix PR sanitizer/92154, PR c++/92384, PR middle-end/92231, PR c++/90947,
      PR c++/90998, PR c++/92343, PR c++/90947, PR tree-optimization/85887,
      PR c++/92015, PR middle-end/92231, PR preprocessor/92296.
  * Fix once more the gnat armel cross build.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Nov 2019 15:47:17 +0100

gcc-9 (9.2.1-18) unstable; urgency=medium

  * Update to SVN 20191108 (r277978) from the gcc-9-branch.
    - Fix PR target/91289 (PPC), PR fortran/92208, PR fortran/92277,
      PR fortran/92208, PR fortran/92284, PR target/92095 (SPARC),
      PR fortran/91253.

  [ Matthias Klose ]
  * Update gm2 from the gcc_9_2_0_gm2 branch 20191107, more parallel
    build issues and cross build fixes.
  * Bump standards version.
  * ada-libgnatvsn.diff:
    - Regenerate with upstream automake 1.15.1 and autoconf 2.69.

  [ Nicolas Boulenguez ]
  * Copy ada-lib-info-file-prefix-map.diff from gcc-8.
  * ada-tools-move-ldflag.diff is obsolete with --as-needed as default.
  * Enable all non-default linker checks for Ada.

 -- Matthias Klose <doko@debian.org>  Fri, 08 Nov 2019 17:51:22 +0100

gcc-9 (9.2.1-17ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Nov 2019 12:24:58 +0100

gcc-9 (9.2.1-17) unstable; urgency=medium

  * Update to SVN 20191102 (r277743) from the gcc-9-branch.
  * Update gm2 from the gcc_9_2_0_gm2 branch 20191031, more parallel
    build issues.
  * ada-libgnatvsn.diff:
    - Copy some of configure.ac's common stuff from libatomic/libgomp.
    - Regenerate with automake 1.15.1 and autoconf 2.69.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Nov 2019 10:37:13 +0100

gcc-9 (9.2.1-16ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Oct 2019 13:51:09 +0100

gcc-9 (9.2.1-16) unstable; urgency=medium

  * Update to SVN 20191030 (r277619) from the gcc-9-branch.
    - Fix PR target/92225 (x86), PR rtl-optimization/92007,
      PR target/70010 (PPC), PR target/65342 (PPC), PR target/67183,
      PR fortran/91926, PR fortran/91863, PR fortran/86248, PR c++/92201.
  * Use a proper configure check when linking with libatomic in libgnatvsn.
    Closes: #943796.
  * Enable gm2 on x32.
  * Update gm2 from the gcc_9_2_0_gm2 branch 20191030, parallel build issues.
  * Fix PR libstdc++/92267, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 30 Oct 2019 13:13:31 +0100

gcc-9 (9.2.1-15ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Oct 2019 18:15:19 +0100

gcc-9 (9.2.1-15) unstable; urgency=medium

  * Update to SVN 20191027 (r277486) from the gcc-9-branch.
    - Fix PR c++/85254.
  * Update gm2 from the gcc_9_2_0_gm2 branch 20191026.
  * Link libgnatvsn against libatomic.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Oct 2019 18:08:50 +0100

gcc-9 (9.2.1-14) unstable; urgency=medium

  * Update to SVN 20191025 (r277460) from the gcc-9-branch.
    - Fix PR libstdc++/90682, PR libstdc++/61761, PR libstdc++/89164,
      PR libstdc++/92143, PR libstdc++/91456, PR libstdc++/92059,
      PR libstdc++/91748, PR tree-optimization/91885, PR debug/91887,
      PR tree-optimization/92131, PR c++/92062, PR fortran/92174,
      PR target/88167 (ARM), PR middle-end/92153.
  * Configure again with --enable-objc-gc=auto, somehow dropped in gcc-9.
    Closes: #942049.
  * Revert the libgnatvsn changes from 9.2.1-9.

 -- Matthias Klose <doko@debian.org>  Fri, 25 Oct 2019 19:31:48 +0200

gcc-9 (9.2.1-12ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 22 Oct 2019 21:40:40 +0200

gcc-9 (9.2.1-12) unstable; urgency=medium

  * Update to SVN 20191022 (r277294) from the gcc-9-branch.
    - Fix PR c++/91925, PR c++/88203, PR c/91401, PR tree-optimization/92056,
      PR tree-optimization/91734, PR bootstrap/90543, PR middle-end/91920,
      PR tree-optimization/91723, PR tree-optimization/91665,
      PR middle-end/91001, PR middle-end/91105, PR middle-end/91106,
      PR go/91617, PR middle-end/91623, PR lto/91572,
      PR tree-optimization/91351. PR target/86040 (AVR), PR target/59888,
      PR target/89400 (ARM), PR target/87243, PR c++/92106, PR c++/91974,
      PR c++/88203, PR c/91401, PR fortran/69455, PR fortran/91586,
      PR fortran/83113, PR fortran/89943.

  [Nicolas Boulenguez]
  * Fix race condition in libgnatvsn/Makefile.

  [ Matthias Klose ]
  * Configure for s390x Ubuntu focal --with-arch=z13 --with-mtune=z15.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Oct 2019 21:35:13 +0200

gcc-9 (9.2.1-11) unstable; urgency=medium

  [Nicolas Boulenguez]
  * Fix diff index in libgnatvsn patch. Closes: #942442.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Oct 2019 10:32:53 +0200

gcc-9 (9.2.1-10) unstable; urgency=medium

  * Update to SVN 20191016 (r277058) from the gcc-9-branch.
    - Fix PR lto/91968, PR tree-optimization/91812, PR debug/91772,
      PR tree-optimization/91790, PR target/92022 (ALPHA),
      PR target/88630 (SH), PR c++/91606, PR c++/91740, PR ada/91995,
      PR fortran/91715, PR fortran/91649, PR fortran/91801.

  [Nicolas Boulenguez]
  * Rewrite libgnatvsn support with autotools. Closes: #746689.
  * Converge towards similar gnat_util library.
  * Cherry-pick repinfo stuff for latest ASIS.

  [ Matthias Klose ]
  * gm2: Fix a time_t cast, and enable gm2 on x32. Closes: #942059,
  * Fix PR lto/91307, reproducible LTO builds, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Oct 2019 12:29:50 +0200

gcc-9 (9.2.1-9ubuntu2) eoan; urgency=medium

  * Revert the ada changes from -9, introducing a ftbfs on armel.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Oct 2019 11:39:55 +0200

gcc-9 (9.2.1-9ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Oct 2019 14:33:47 +0200

gcc-9 (9.2.1-9) unstable; urgency=medium

  * Update to SVN 20191008 (r276687) from the gcc-9-branch.
    - Fix PR libstdc++/91748, PR rtl-optimization/89795, PR c++/91705,
      PR target/86805 (SH), PR target/80672 (SH), PR rtl-optimization/88751,
      PR target/91683 (riscv), PR target/91269 (SPARC),
      PR target/91635 (riscv), PR c++/91923, PR fortran/91557,
      PR fortran/91553, PR fortran/91566, PR fortran/91642, PR fortran/91588,
      PR fortran/91727, PR fortran/91550, PR target/91275 (PPC),
      PR target/91769 (MIPS), PR fortran/91716, PR target/88562 (SH),
      PR driver/69471, PR fortran/84487, PR fortran/47054, PR fortran/91942,
      PR fortran/91785, PR fortran/91864, PR fortran/91802, PR fortran/91714,
      PR fortran/91641.
    - Fix ICE on MIPS. Closes: #941263.
  * Disable gm2 on hurd-i386, mc hangs there (Samuel Thibault). Closes: #940600.
  * Apply proposed patch for PR target/92022. Addresses: #931815.

  [ Nicolas Boulenguez ]
  * Update ada local patches.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Oct 2019 10:21:22 +0200

gcc-9 (9.2.1-8ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Sep 2019 19:21:40 +0200

gcc-9 (9.2.1-8) unstable; urgency=medium

  * Update to SVN 20190909 (r275519) from the gcc-9-branch.
    - Fix PR fortran/91496, PR fortran/91496, PR fortran/91660,
      PR fortran/91589, PR target/87853 (x86), PR target/91704 (x86).
  * libstdc++: Fix GCC_LINUX_FUTEX to work with C99 compilers, taken from
    the trunk.
  * Make LTO link pick up compile-time -g (proposed patch).

 -- Matthias Klose <doko@debian.org>  Mon, 09 Sep 2019 17:18:48 +0200

gcc-9 (9.2.1-7ubuntu2) eoan; urgency=medium

  * Update to SVN 20190907 (r275485) from the gcc-9-branch.
    - Fix PR fortran/91496, PR fortran/91496, PR fortran/91660.
  * Fix GCC_LINUX_FUTEX to work with C99 compilers, taken from the trunk.
  * Re-enable running the testsuite.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2019 09:40:59 +0200

gcc-9 (9.2.1-7ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 07:00:00 +0200

gcc-9 (9.2.1-7) unstable; urgency=medium

  * Update to SVN 20190905 (r275396) from the gcc-9-branch.
    - Fix PR libstdc++/91067, PR target/91481 (PPC),
      PR tree-optimization/90278, PR tree-optimization/91568,
      PR tree-optimization/90637, PR fortran/91565, PR fortran/91564,
      PR fortran/91551, PR fortran/91587, PR pch/61250, PR c++/91155,
      PR tree-optimization/91597, PR gcov-profile/91601,
      PR target/91472 (SPARC), PR c++/91129, PR fortran/91552,
      PR target/81800 (AArch64).
  * Drop the gcc-alpha-bs-ignore patch, apparently not necessary anymore.
  * For the omp.h header, use the configured OMP_NEST_LOCK_SIZE and
    OMP_NEST_LOCK_ALIGN values for some non-multilib architectures.
    Closes: #935750.
  * Use Python3 to build the gm2 frontend. Closes: #936586.
  * libgphobos76: Add breaks: dub (<< 1.16.0-1~). Addresses: #935275.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Sep 2019 06:45:00 +0200

gcc-9 (9.2.1-6ubuntu3) eoan; urgency=medium

  * Rebuild for glibc 2.30.
  * Update to SVN 20190901 (r275264) from the gcc-9-branch.
    - Fix PR libstdc++/91067, PR target/91481 (PPC),
      PR tree-optimization/90278, PR tree-optimization/91568,
      PR tree-optimization/90637, PR fortran/91565, PR fortran/91564,
      PR fortran/91551, PR fortran/91587, PR pch/61250.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Sep 2019 23:17:41 +0200

gcc-9 (9.2.1-6ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Aug 2019 01:15:11 +0200

gcc-9 (9.2.1-6) unstable; urgency=medium

  * Update to SVN 20190827 (r274974) from the gcc-9-branch.
    - Fix PR ipa/91508, PR ipa/91438, PR ipa/91404, PR lto/91287,
      PR target/91533 (x86), PR ipa/91508, PR ipa/91438, PR ipa/91404,
      PR c++/91521.
  * Backport LTO jobserver support (-flto=auto).
  * any_archs: Remove mips and powerpcspe, add riscv64.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Aug 2019 01:01:47 +0200

gcc-9 (9.2.1-4ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Aug 2019 14:32:32 +0200

gcc-9 (9.2.1-4) unstable; urgency=medium

  * Fix typo for gm2 enablement.
  * Disable gm2 on powerpc, ppc64, sh4, kfreebsd-i386, kfreebsd-amd64.
    See the build logs of 9.2.1-3 for the various issues.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2019 12:12:07 +0200

gcc-9 (9.2.1-3ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Aug 2019 12:20:03 +0200

gcc-9 (9.2.1-3) unstable; urgency=medium

  * Update to SVN 20190821 (r274792) from the gcc-9-branch.
    - Fix PR rtl-optimization/91347, PR target/91386 (AArch64).

  [ Aurelien Jarno ]
  * Enable Ada on riscv64.

  [ Matthias Klose ]
  * Build the gm2 packages except on powerpc and x32.
  * Update gm2 cross build dependencies.
  * Fix gm2 build with -j32.
  * Configure with --enable-libpth-m2 for gm2 cross builds.
  * Configure --without-target-system-zlib for gdc cross builds.
  * Remove not needed libpth-dev dependency for gm2 packages.
  * Ignore M2Version.o for gm2 bootstrap comparison.
  * Update gm2 from the gcc_9_2_0_gm2 branch 20190820.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Aug 2019 12:15:27 +0200

gcc-9 (9.2.1-2ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 19 Aug 2019 18:03:03 +0200

gcc-9 (9.2.1-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Update to SVN 20190817 (r274667) from the gcc-9-branch.
    - Fix PR c++/90947, PR c++/91436, PR fortran/87991, PR fortran/90563,
      PR fortran/88072, PR fortran/90561, PR fortran/89647, PR fortran/87993,
      PR tree-optimization/91109, PR tree-optimization/91109,
      PR tree-optimization/91445, PR tree-optimization/91091,
      PR c++/90393, PR c++/81429, PR c++/87519, PR c++/90473, PR c++/90884,
      PR libsanitizer/87880, PR fortran/91485, PR fortran/91471,
      PR fortran/78739, PR fortran/78719, PR fortran/82992.
  * More gm2/libgm2 packaging fixes.
  * Disable lto build on sparc64 (if porters would only test that before
    making a request to enable it ...).
  * Bootstrap using gnat-9 on development distributions.

  [ Aurelien Jarno ]
  * Fix libstdc++6.symbols.riscv64.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Aug 2019 13:01:37 +0200

gcc-9 (9.2.1-1) unstable; urgency=medium

  * Update to SVN 20190813 (r274380) from the gcc-9-branch.
    - Fix PR fortran/91422, PR lto/91375, PR driver/91130, PR driver/91130,
      PR c++/91378, PR c++/90538, PR fortran/91424, PR fortran/91359,
      PR fortran/42546, PR fortran/91414, PR libstdc++/90361.
  * Minor updates to debian/copyright for GCC 9.
  * Include a snapshot of the gm2 tarball.
  * Add copyright information for gcc/gm2, gcc/testsuite/gm2 and libgm2.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Aug 2019 15:43:49 +0200

gcc-9 (9.2.0-1ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Aug 2019 12:43:28 +0200

gcc-9 (9.2.0-1) unstable; urgency=medium

  * GCC 9.2.0 release.

  [ Matthias Klose ]
  * Enable pgo/lto build on sparc64 (ok, when done on landau buildd).
  * Add initial gm2 packaging bits.
  * Bump standards version.

  [ James Clarke ]
  * ada-kfreebsd.diff: Fix fatal unreferenced formal parameter warnings.

  [ Aurelien Jarno ]
  * Add libstdc++6.symbols.riscv64.
  * Update debian/libgcc.symbols for riscv64.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Aug 2019 12:24:04 +0200

gcc-9 (9.1.0-10) unstable; urgency=medium

  * Fix typo in libstdc++ symbols file.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Jul 2019 21:56:07 +0200

gcc-9 (9.1.0-9ubuntu2) eoan; urgency=medium

  * Fix typo in libstdc++6 symbols file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Jul 2019 03:53:22 +0200

gcc-9 (9.1.0-9ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jul 2019 21:58:58 +0200

gcc-9 (9.1.0-9) unstable; urgency=medium

  * Update to SVN 20190717 (r273554) from the gcc-9-branch.
    - Fix PR c++/91125, PR c/91149, PR driver/90684, PR middle-end/78884,
      PR rtl-optimization/90756, PR tree-optimization/91063, PR ipa/91062,
      PR ipa/90982, PR tree-optimization/90972, PR debug/90914, PR debug/90900,
      PR lto/90369, PR rtl-optimization/91136, PR tree-optimization/91108,
      PR fortran/91077.

  [ Matthias Klose ]
  * Make the lto-verbose-linker patch more robust for hppa (Dave Anglin).
  * Avoid building stuff which is not needed for architecture independent
    packages. Addresses: #900554.
  * lib32gphobos-dev, libn32gphobos-dev: Remove dependency on non-existing
    libz-dev multilib packages.
  * Update libgfortran symbols files.
  * Update libstdc++ symbols files.

  [ Nicolas Boulenguez ]
  * Ada: update confirm_debian_bugs.py.
  * Ada: fully port 50b8286b from the gcc-8 branch to gcc-9.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Jul 2019 21:53:24 +0200

gcc-9 (9.1.0-8ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Jul 2019 08:53:20 +0200

gcc-9 (9.1.0-9) UNRELEASED; urgency=medium

  * Make the lto-verbose-linker patch more robust for hppa (Dave Anglin).
  * Avoid building stuff which is not needed for architecture independent
    packages.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Jul 2019 18:13:15 +0200

gcc-9 (9.1.0-8) unstable; urgency=medium

  * Update to SVN 20190707 (r273175) from the gcc-9-branch.
  * Re-add a lost hunk to the add-kfreebsd patch (James Clarke).
  * Dump config files on failed jit and nvptx builds.
  * Disable the LTO builds on architectures where the buildds can't keep up.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Jul 2019 12:10:25 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gdc-10-s390x-linux-gnu`.
